[65755] users/ryandesign/ports/games/mystonline-wine

ryandesign at macports.org ryandesign at macports.org
Wed Mar 31 04:02:46 PDT 2010


Revision: 65755
          http://trac.macports.org/changeset/65755
Author:   ryandesign at macports.org
Date:     2010-03-31 04:02:45 -0700 (Wed, 31 Mar 2010)
Log Message:
-----------
mystonline-wine: fix app launching on Tiger by specifying DISPLAY and launching X11

Modified Paths:
--------------
    users/ryandesign/ports/games/mystonline-wine/Portfile
    users/ryandesign/ports/games/mystonline-wine/files/MOUL.sh

Modified: users/ryandesign/ports/games/mystonline-wine/Portfile
===================================================================
--- users/ryandesign/ports/games/mystonline-wine/Portfile	2010-03-31 11:01:44 UTC (rev 65754)
+++ users/ryandesign/ports/games/mystonline-wine/Portfile	2010-03-31 11:02:45 UTC (rev 65755)
@@ -5,6 +5,7 @@
 name                        mystonline-wine
 set my_name                 mystonline
 version                     2010
+revision                    1
 platforms                   darwin
 categories                  games x11
 maintainers                 ryandesign
@@ -44,6 +45,7 @@
     reinplace "s|@INSTALLER@|${bootstrap_dir}/${installer_exe}|g" ${worksrcpath}/MOUL.sh
     reinplace "s|@LAUNCHER@|${assets_dir}/UruLauncher.exe|g" ${worksrcpath}/MOUL.sh
     reinplace "s|@PREFIX@|${prefix}|g" ${worksrcpath}/MOUL.sh
+    reinplace "s|@APPLICATIONS_DIR@|${applications_dir}|g" ${worksrcpath}/MOUL.sh
     reinplace "s|@LIBEXEC@|${libexec_dir}|g" ${worksrcpath}/MOUL.sh
     reinplace "s|@WINEPREFIX@|${wineprefix}|g" ${worksrcpath}/MOUL.sh ${worksrcpath}/chown-data.c
     reinplace "s|@ASSETS@|${assets_dir}|g" ${worksrcpath}/chown-data.c

Modified: users/ryandesign/ports/games/mystonline-wine/files/MOUL.sh
===================================================================
--- users/ryandesign/ports/games/mystonline-wine/files/MOUL.sh	2010-03-31 11:01:44 UTC (rev 65754)
+++ users/ryandesign/ports/games/mystonline-wine/files/MOUL.sh	2010-03-31 11:02:45 UTC (rev 65755)
@@ -13,6 +13,22 @@
 
 trap cleanup SIGHUP SIGINT SIGTERM
 
+# Set DISPLAY if it's not set (e.g. on Tiger).
+if [ -z "$DISPLAY" ]; then
+    export DISPLAY=:0.0
+    # Launch X11.app if it's not already running, preferring the MacPorts version if available.
+    if [ -z "$(ps auxww | grep /X11.app/ | grep -v grep)" ]; then
+        if [ -d "@APPLICATIONS_DIR@/X11.app" ]; then
+            open "@APPLICATIONS_DIR@/X11.app"
+        elif [ -d "/Applications/Utilities/X11.app" ]; then
+            open "/Applications/Utilities/X11.app"
+        else
+            echo "No X11.app found" 1>&2
+            exit 1
+        fi
+    fi
+fi
+
 USER=$(id -u)
 GROUP=$(id -g)
 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20100331/75ef9c7f/attachment.html>


More information about the macports-changes mailing list